{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}


{% block title %} Nueva Llamada {% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'call-list' %}">Llamadas</a></li>
  <li class="breadcrumb-item active">Nueva</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Llamada <small>nueva</small></h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Nuevo Servicio</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
    <div id="extra" role="tabpanel" class="tab-pane active">
      {% if form %}
          <form id="call-form" class="form-horizontal" method="post" enctype="multipart/form-data">
	    {% csrf_token %}
	    {% for field in form %}
	    <div class="form-group row m-b-15">
	      <label for="{{ field.auto_id }}" class="col-form-label col-md-3">{{ field.label }}</label>
	      <div class="col-sm-9">
		{% render_field field class="form-control m-b-5" %}
		
		{% for error in form.operator.errors %}
              <small class="f-s-12 text-danger">{{ error }}</small>
              {% endfor %}
	      </div>
	    </div>
	    {% endfor %}
	    <input type="submit" value="Registrar" class="btn btn-primary">
	    <a href="{% if service %}{% url 'service-calls' slug=service.slug %}{% else %}{% url 'call-create' %}{% endif %}" class="btn btn-default">Cancelar</a>
            </form>

      {% endif %}
    </div>

  </div>
  <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->


{% endblock %}

{% block pageleveljs %}
<script>
  $(document).ready(function () {
    function search() {
	window.location = "{% url 'call-create' %}?number=" + $('#service-number').val();	
    }

    $('#service-number').on('focus', function(e) {
      $(this).select();
    });

    $('#service-number').on('keydown', function(e) {
	if(e.keyCode == 13) {
	    search();
	}
    });

    $('#search-service-button').on('click', search);

    {% if slug and service %}
      $('#id_department').focus();
    {% else %}
      $('#service-number').focus();
    {% endif %}
  });
</script>
{% endblock %}
